Kompira : Simple and lightweight automation platform for IT system operations
=============================================================================

What's this?
------------

Kompira は IT 運用管理業務の自動化を支援するための基盤システムです。ジョ
ブフローを記述することで、様々な運用業務、管理業務、さらには障害の復旧
処理まで自動化することができます。


Install
-------

Kompira をインストールするには root 権限で install.sh を実行してください。

※ Kompira のインストールには、インターネット接続環境が必要です。
   RedHat にインストールする場合は、事前にサブスクリプションを登録して
   おく必要があります。

proxy 環境下での Install
------------------------

以下のように --proxy オプションを付けて install.sh を実行してください。::

    ./install.sh --proxy proxy:3128

※ オプションに渡す "proxy" や "3128" の部分は導入環境のプロキシサーバ
   のホスト名（またはIPアドレス）やポート番号に合わせてください。

認証付きプロキシサーバの場合は、以下のように "user" にユーザー名を、
"password" にパスワードを指定して install.sh を実行してください。 ::

    ./install.sh --proxy user:password@proxy:3128


動作要件
--------

* アーキテクチャ: x86_64
* オペレーティングシステム: Linux CentOS/RedHat 7.6以上/8.0以上
* Pythonバージョン: Python 3.6 以上
* ネットワークインタフェース: 1つ以上

推奨ハードウェア構成
--------------------
推奨するハードウェア構成は以下のとおりです。

* CPU: 1GHz以上
* メモリ: 2GB以上
* HDD: 200GB以上

